#
# spec file for package perl-Test-Differences
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Test-Differences
Version:        0.61
Release:        4.3
Summary:        Test strings and data structures and show differences if not ok
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Source:         http://search.cpan.org/CPAN/authors/id/O/OV/OVID/Test-Differences-%{version}.tar.gz
Url:            http://search.cpan.org/dist/Test-Differences/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)
BuildRequires:  perl(Text::Diff)
Requires:       perl(Text::Diff)
# MANUAL
Provides:       perl(Test::Differences) = 0.600

%description
Test strings and data structures and show differences if not ok.

%prep
%setup -q -n "Test-Differences-%{version}"
%__sed -i '/^auto_install/d' Makefile.PL

%build
%__perl Makefile.PL PREFIX="%{_prefix}"
%__make %{?jobs:-j%{jobs}}

%install
%perl_make_install
%perl_process_packlist

%check
%__make test

%files
%defattr(-,root,root)
%doc Changes README
%dir %{perl_vendorlib}/Test
%{perl_vendorlib}/Test/Differences.pm
%dir %{perl_vendorarch}/auto/Test
%{perl_vendorarch}/auto/Test/Differences
%doc %{perl_man3dir}/Test::Differences.%{perl_man3ext}%{ext_man}

%changelog
* Tue Dec 27 2011 coolo@suse.com
- fix typo in provide
* Sun Nov 20 2011 coolo@suse.com
- update to 0.61
  - Allow an option to override Sortkeys in C<eq_or_diff>. Thanks to Mark
    Zealey for the suggestion.
  - Unnumbered tests. There's no point to them.
  - Make '' and undef not equal. Thanks to Pavel Shaydo for the patch.
  - Made Data::Dumper minimum version 2.126 to resolve
    https://rt.cpan.org/Ticket/Display.html?id=60798. Thanks to
    jjnapiork@cpan.org  for the report and fix.
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Sun Jul 25 2010 pascal.bleser@opensuse.org
- initial package (0.500)
